[Plugin] Nvidia-Driver


ich777

1059 posts in this topic Last Reply

Recommended Posts

11 minutes ago, WowaDriver said:

But i can give you a screen of my VIFO-PCI-CONFIG

Click on the following devices: 01:00.0 & 01:00.1 & 01:00.2 & 01:00.3 and on "Apply" then restart -> if you do this you can't use it in a container anymore since you bind it to VFIO and Unraid can't see the device anymore, except in the VM's.

 

Please note that the VFIO Plugin is OUTDATED, please uninstall the plugin if you are on 6.9.0+ and you can select the devices now when you click on Tools -> System Devices!

 

Please note that this is the wrong place to post about this, I would recommend to post a thread about this in the VM subforums.

 

Try to make a VM with SeaBIOS not OVMF, OVMF gave me always troubles in VM's and Nvidia cards.

Link to post
  • Replies 1.1k
  • Created
  • Last Reply

Top Posters In This Topic

Top Posters In This Topic

Popular Posts

Nvidia-Driver (only Unraid 6.9.0beta35 and up) This Plugin is only necessary if you are planning to make use of your Nvidia graphics card inside Docker Containers. If you only want to use yo

To utilize your Nvidia graphics card in your Docker container(s) the basic steps are:   Add '--runtime=nvidia' in your Docker template in 'Extra Parameters' (you have to enable 'Advanced

Thanks @bytchslappa for the heads up. Everyone using a User Script for Nvidia GPU Power State just edit the script to: #!/bin/bash nvidia-persistenced fuser -v /dev/nvidia* and leave the s

Posted Images

Hi again @ich777thanks for reply!

 

Ok thanks i missed that the VFIO Plugin is now integrated... just deleted...

 

I the case i when i bind it to VFIO you are right i can start the vm with the gpu but when i turn of the vm i cant use it with the docker... 

 

I try to find a workaround how to multiuse the one and only gpu for both scenarios ... the gpu runs for more than 80-90% of time for the emby docker container, but sometimes i need this one win10 vm with a dedicated gpu... for futher it is the plan to get a second gpu but actually i only have the one... 

 

Do you have a possible workaround for me mayby?

Link to post
46 minutes ago, WowaDriver said:

I the case i when i bind it to VFIO you are right i can start the vm with the gpu but when i turn of the vm i cant use it with the docker... 

Exactly that's what I've said above.

 

47 minutes ago, WowaDriver said:

I try to find a workaround how to multiuse the one and only gpu for both scenarios ... the gpu runs for more than 80-90% of time for the emby docker container, but sometimes i need this one win10 vm with a dedicated gpu... for futher it is the plan to get a second gpu but actually i only have the one...

As said above don't bind it to VFIO and try to create a new VM with SeaBIOS with the card manually passed through for testing purposes, hopefully this will work.

 

If you got the same error then eventually something within Unraid or QEMU has changed that prevents it from starting, as said above this has nothing to do with this plugin and I think you should post about this in the VM sub forums because the error that you posted above is from the VM itself:

3 hours ago, WowaDriver said:

Error code:

 

Execution error

internal error: qemu unexpectedly closed the monitor: 2021-04-14T12:16:32.430601Z qemu-system-x86_64: -device vfio-pci,host=0000:01:00.0,id=hostdev0,bus=pci.0,addr=0x5: vfio 0000:01:00.0: group 1 is not viable Please ensure all devices within the iommu_group are bound to their vfio bus driver.

 

Another thing could be that the configuration in your VM template is wrong.

Link to post
3 hours ago, Dazog said:

New stable driver out :)

 

465.24.02

Don't know if you have seen that:

grafik.png.97815101856438d76487c34b41f5a409.png

 

They also don't list it on their download server so the automatic build script won't trigger and I can't build it when the download isn't available... :D

Link to post
5 hours ago, ich777 said:

Don't know if you have seen that:

grafik.png.97815101856438d76487c34b41f5a409.png

 

They also don't list it on their download server so the automatic build script won't trigger and I can't build it when the download isn't available... :D

Ugh I have a time machine.

 

I will dial it back down 🙂

Link to post

Hi @ich777,

I've seen the latest New Feature Branch driver 465.24.02 is now available in the settings page. Could you also make the latest Production Branch driver 460.73.01 available please ?

The download page for this one also indicates "File Size: Temporarily unavailable", but the download link is fine, I just downloaded and installed it on another machine.

Thanks for the great job, as usual 😉

Link to post
4 minutes ago, Gnomuz said:

Thanks @ich777, quick and efficient, as usual ! I have a strong preference in Production branch rather than the New Features one on my server ...

The problem with the drivers is that it is not that easy to get the drivers and version numbers easily that Nvidia announces to compile them (the latest new features branch isn't even on their public available download server...). :/

 

Anyways if you are missing a driver feel free to write a short message in this thread and I will try to compile them ASAP (keep in mind I will only compile new drivers... ;)

Link to post

Hello,


I've read your troubleshooting section.

I do not have any device bound to VFIO at boot.

 

[10de:0dd8] 03:00.0 VGA compatible controller: NVIDIA Corporation GF106GL [Quadro 2000] (rev a1)

[10de:0be9] 03:00.1 Audio device: NVIDIA Corporation GF106 High Definition Audio Controller (rev a1)

 

NVRM: The NVIDIA Quadro 2000 GPU installed in this system is supported through the NVIDIA 390.xx Legacy drivers.
Apr 18 22:05:45 Tower kernel: NVRM: Please visit http://www.nvidia.com/object/unix.html for more information.
Apr 18 22:05:45 Tower kernel: NVRM: The 465.19.01 NVIDIA driver will ignore this GPU.

 

So I downloaded the file NVIDIA-Linux-x86_64-390.141.run from NVIDIA's website

 

I extracted it and put the contents in a directory that I can access from the root shell.

Running nvidia-installer shows me the error message

 

Unable to find the development tool `cc` in your path; please make sure that you have the package 'gcc' installed.  If gcc is        
         installed on your system, then please check that `cc` is in your PATH.

 

I thought about just copying/overwriting the existing files in the /usr/bin/nvidia with the files extracted from the 390.141 archive ...but I don't see any way of telling the NVIDIA plugin not to 'upgrade' the 390 version to one of the recent versions listed in your plugin if I did that crazy idea.

 

QUADRO 2000.JPG

Edited by Tequila&Lime
Link to post
28 minutes ago, Tequila&Lime said:

NVIDIA Quadro 2000

The drivers are not compatible with the Quadro 2000 only the Pascal based Quadro P2000.

 

The Quadro 2000 won't work for accelerating your Docker Containers since the nvidia-container-tools needs a card that is from the production branch or from the new feature branch, you can see a full list here: Click (if you click on one of the drivers from the two branches and then click on "SUPPORTED PRODUCTS" you can get a full list what cards are compatible).

Link to post
11 hours ago, ich777 said:

The drivers are not compatible with the Quadro 2000 only the Pascal based Quadro P2000.

 

The Quadro 2000 won't work for accelerating your Docker Containers since the nvidia-container-tools needs a card that is from the production branch or from the new feature branch, you can see a full list here: Click (if you click on one of the drivers from the two branches and then click on "SUPPORTED PRODUCTS" you can get a full list what cards are compatible).

 

So I can pass the Quadro 2000 to *a* VM on my UNRAID box would be the only option due to its age.

 

Thanks for the quick response @ich777!

 

Link to post
20 minutes ago, Tequila&Lime said:

So I can pass the Quadro 2000 to *a* VM on my UNRAID box would be the only option due to its age.

Exactly.

Link to post

Hi ich777,

I just created the post shown in the link below which relates to 4k resolution support when booting straight into UnRaid OS GUI mode before learning about your plugin:

https://forums.unraid.net/topic/107169-boot-to-gui-mode-display-resolution-change/

 

In short, I have two Nvidia cards installed. My 710 card is dedicated to supporting my UnRaid OS booted into GUI mode.  My second card is an Nvidia 1030 which is setup as  a passthrough to support my Ubuntu VM.   

 

I hope you can clarify the following.  My Ubuntu VM is working perfectly and I can see the OS in 4k resolution under my Nvidia 1030 card.

 

However, this is not the case for my 710 card. I have no way to change my UnRaid OS GUI mode resolution to 4k.

 

Will installing your Nviida Driver plugin allow me to see my UnRaid OS in GUI mode at a 4k resolution?  And will it be conflict free with my Nvidia 1030 card which is used for my Ubuntu VM?

 

 

Link to post
7 hours ago, slipstream said:

Will installing your Nviida Driver plugin allow me to see my UnRaid OS in GUI mode at a 4k resolution?  And will it be conflict free with my Nvidia 1030 card which is used for my Ubuntu VM?

Please read the post from @tjb_altf4 again, he explains what you have to do and that you have to bind the card that you want to use for you VM to VFIO (if you do this the card isn't strictly speaking visible for Unraid or my plugin and is exclusive reserved for use in a VM).

 

 

Link to post

Quick question: I am currently running unRAID 6.8.2 with a P2000 for transcoding in Plex.

 

I am using the liuxserver Plex docker which is currently running without issue.

 

I am running the unRAID version with the baked in Nvidia drivers.

 

If I want to upgrade to unRAID 6.9x do I have to anything for Plex or simply upgrade?

Link to post
33 minutes ago, ashman70 said:

If I want to upgrade to unRAID 6.9x do I have to anything for Plex or simply upgrade?

Simply upgrade, reboot, delete the old plugin, install the new plugin and I recommend to reboot again, eventually go bevore rebooting into the plugin and select the driver that you want to use or let it at 'latest'.

Link to post
5 minutes ago, ashman70 said:

Delete the existing Plex docker

No, not Plex, the Plugin, this has nothing to do with Plex.

 

Upgrade to the new Unraid version, reboot, delte the old plugin, install the Nvidia Driver plugin and reboot again.

 

If you plan to use the latest Nvidia driver verison you don't have to do anything since it defaultsto latest.

Link to post
14 minutes ago, binarymelon said:

If I upgrade my motherboard and CPU, will my GPU id remain the same?

At least it should be because your UUID is actually bound to the GPU and nothing to do with the rest of the components.

 

Even if it stays not the same what is very unlikely to be you could simply change it. ;)

Link to post

hi @ich777 me again with another very minor niggle with this plugin, any chance you can sort the version numbers for the nvidia drivers in descending order, the order looks a bit weird to me as it is right now, screenshot:-

image.png.5b2043bd8b5b81e760e2865e8b797b97.png

 

to me a more sensible order would be:-

 

latest v465.24.02

v465.24.02

v465.19.01

v460.67

v460.56

v460.39

v460.32.03

v460.27.04

 

what do you think?.

 

Link to post
3 minutes ago, binhex said:

what do you think?.

I've already seen that but need some input what would be best... :D

 

I have a few solutions to this:

  • move the latest tag to the bottom
  • let the latest tag on top and set it a little apart from the other version numbers
  • remove the version number from the latest tag completely
  • or like you said sort it in descending order

 

I left the latest tag on top of it because I thought it would be best to set it apart from the latest version number to avoid confusion so that you don't have two identical version numbers line by line.

Also thought about a dropdown but I think the radio buttons are more user friendly.

 

As always thank you for the input. @binhex. :)

Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.